Introduction

Welcome

Welcome to the Acoustica help and thank you for evaluating this software. Much effort has been put into Acoustica to make it as easy to use as possible. We hope most features are self explaining for users with sufficient knowledge about sound processing. These help pages tries to give a short description of digital audio editing as well as to serve as a reference guide.

We wish you creativity and fun while using this product,

Programming staff at Acon AS


Purchasing

Purchasing Acoustica

If you want to use Acoustica longer than the 30 days trial period, you have to buy a license for $15,- (US Dollars). We are able to offer you Acoustica for this low price due to delivery in digital form. This way we avoid the additional costs of packaging, print and delivery.

The payment is done through RegNet, a company that has specialized on online payment for software. This ensures secure, fast and easy payment.

  • Ordering forms (secure server)
After registration, you will promptly receive a registration key to unlock your software. You can always download the program form this web site and use the registration key if your the program code on your hard disk should be damaged by accident.


Sound Topics

This part of the help covers different topics about sound that are important to know in order to use Acoustica properly.
  • The Theory of Sampling
  • Sound Analysis Tools
  • Noise Reduction
  • Converting Sample Formats


The Theory of Sampling

This help page deals with the process of converting audio signals present in an analog form to a digital stream of data which a computer can handle. There are some aspects of this conversion that should be known if you are planning to do some work with audio processing.

From Analog to Digital

On the output from an analog audio source (tape recorder, microphone, or even the standard output from CD players) the audio signal is represented by an alternating electrical voltage. The voltage is analog to the air pressure changes in the air (which we perceive as sound), hence the term analog signals. This constantly changing electrical voltage is changed to a stream of numbers at fixed rate intervals by sampling and quantisation.

Sampling

The conversion from an continuously changing measure to a series of measured values at discrete time instances is called sampling. The rate (number of measurements per second) of which the sampling is done, is along with the quantisation depth the most important quality factor of digital recording equipment. If it is set too low, disturbing artifacts occur. In fact, all frequencies above half the sampling frequency (known as the Nyquist frequency) are substituted by frequencies below the Nyquist frequency. This effect is called aliasing. To avoid aliasing, a sampling system contains of a low pass filter, ideally filtering out all frequencies above the Nyquist frequency and leaving all frequencies below unaffected. A CD quality recording is recorded with a frequency of 44,1 kHz.

Quantisation

The conversion from a measurement described with a continuos variable to described with a discrete variable is called quantisation. The number of bits used to describe one measurement is proportional to the highest achievable signal to noise ratio, which is a measurement for the noise present in the system.


Noise Reduction

Acoustica provides tools for removal of both stationary noise (hiss and hum) and impulsive noise (clicks, pops and crackle). An exact definition of stationary signals is beyond the scope of this help, but the frequency spectrum of stationary signals remain pretty constant over time. In other words, tape hiss, humming or other constant disturbances are removable using the Acoustica noise reduction system. The noise reduction is based upon the spectral subtraction technique. This means that a spectrum of the noise present in the recording is needed. The spectrum of the noise can be obtained in the two following ways.

Removing Noise with Noise Footprint

If your recording contains pauses with pure noise without any other signal, this sections can be used to create a footprint automatically. Select Enhancement | Noise Analysis after marking a section containing noise only. After the analysis phase, select Enhancement | Noise Reduction | Based on Noise Analysis. Choose the reduction level and press ok.

Removing Noise with Drawn Noise Profile

If no pauses are available for noise analysis you can draw a noise profile by hand. Select Enhancement | Noise Reduction | Based on User Profile. A curve editor shows up where you can manually enter a noise profile. For tape hiss this method works quite well. The tape noise is more or less evenly distributed in the spectrum, thus a flat line should to the job. Finding the right threshold can be tricky, but after a bit of try and fail, good sounding settings should be possible to find.

Removing Clicks and Crackle in Audio Recordings

New in version 2.2 of Acoustica is a declicking algorithm specilized on removing impulsive noise such as clicks, pops and crackle. The click filter can be found in the Enhancement Menu and has two parameters:
  • Threshold sets the sensitivity of the click filter. Lower values results in a more click reduction.
  • Size sets the size of the clicks to be removed.
Optionally, clicks may be removed manually by selecting one single click and using the Interpolate command in the Enhancement menu.


Sound Analysis Tools

Sound Analysis

Acoustica features a range of tools that allows you to study your recorded material in the time domain, frequency domain or a combination of these. Don't freak out, the terms frequency and time domain are explained below.

The Time Domain

The normal wave plot shown when making a recording in Acoustica is a time domain representation of the signal. When recording, Acoustica has taken samples of the signal at certain intervals, quantisized them, and stored them as series of digitized values. The wave plot is the result of drawing these samples on the screen with the time evolving along the horizontal axis.

Figure 1. A plot of a signal represented in the time domain.

The Frequency Domain

All natural sounds can be described as an infinite sum of sine functions. The frequency of a sine function is related to what we sense as pitch. Fortunately enough are our ears not able to hear frequencies above 20kHz (a sine function with 20 thousand completed wavelengths within one second), so the mentioned infinite sum turns into a finite sum which is possible to handle on a computer. The signal in the frequency domain is represented through the weight of each sine function needed to recreate the signal, rather than the sampled values from the time series. These weights are visualized in Acoustica by selecting Analysis | Spectrum Analyzer.

Figure 2. A plot of a signal represented in the frequency domain.

Combining Time and Frequency

So until now we have a tool for examining the frequency content of our recording and we have the normal wave plots for examining how our recording evolves over time. Is there a possibility to combine these features. Under certain conditions (amazingly enough these conditions relates Heisenberg´s in physics famous law of uncertainty, for those of you remembering your physics class at school), the answer is yes.
Acoustica features to ways of displaying time-frequency plots. The spectrogram and the wavelet transform (based on the Morlet class of wavelets for the advanced reader). The differ mainly in the way linear way of representing frequency of the spectrogram and the logarithmic representation of the wavelet transform.

Figure 3. A time-frequency plot. The vertical axis represents the frequency, the horizontal represents time.


Converting Sample Formats

This page covers the conversion between different sampling rate and quantisation depths. The Acoustica conversion utility (Sound | Convert Sample Format...) allows you perform these conversion.

Changing the Sample Rate

Changing the sampling rate normally introduces a phenomena called frequency aliasing. If you are converting a signal to a lower sampling frequency containing frequencies above half the target sampling frequency, these frequencies are substituted by other lower frequencies, causing annoying distortion. Acoustica features anti aliasing filters to remove this distortion. You can choose between
  • No filtering
  • Fast
  • High Quality
depending on your needs for quality.

Converting to Higher Quantisation Depths

You can increase the perceived quality of low bit recordings by performing noise reduction after the conversion. Select Enhancement|Noise Reduction|Based on User Defined Profile... and select enter a horizontal line at -6 dB multiplied by the number of bits in the original recording. For an eight bit wave file converted to 16 bits or higher, this is a horizontal line at -48 dB.

Converting to Lower Quantisation Depths with psycho acoustical Noise Shaping

Acoustica optionally distributes the quantisation errors when converting to lower bit depths according to the hearing threshold of the human ear. The Psychoacoustical Noise Shaping option in the Convert Sample Format dialog box can be used to turn noise shaping on or off. You can also add a random dither signal to decorrelate the quantisation error from the audio material with the Dithering option.


Reference Information

These help pages contains reference information on the user interface of Acoustica.
  • The Toolbar
  • The Menu
  • Playlist Editing
  • Keyboard Shortcuts


Playlist Editing

The playlist in Acoustica allows fast and non destructive editing of large sound files. Only references to different sections of the audio recording are stored in the playlist. Hence, any changes occur instantly, without the time consuming movement of the huge amount of data required for audio storage.

Creating a Playlist

A playlist is always associated with a recording, and you can show the playlist by selecting Playlist | Show Playlist or press Shift+P.

Adding Sections to the Playlist

You can add the currently marked area to the playlist by clicking the right mouse button in the wave display and selecting Copy to Playlist or by pressing Ctrl+P. Now, add all the sections you want to include in the final cut. You can add names to the sections by doubleclicking on its entry in the list.

How to Play the Contents of the Playlist

You can play the contents of the playlist by pressing Shift+Space or select Playlist | Play.

Loops and Crossfades

Double clicking on an entry in the playlist opens a dialog box where the name and settings of the entry can be changed, such as the looping of a section and the crossfade time. The crossfade parameter is crucial to archive smooth cuts, without audiable clicks in the resulting cut.

Converting the Playlist to a Normal Continous Audio File

When you are satisfied with the results of the editing you can convert the playlist to a continous recording by selecting Playlist | Convert Playlist to Recording. Note that only the .wav format allows the additional playlist information to be stored along with the audio data. Hence, always convert the playlist to a continous format if you plan to distribute the result digitally.


The Menu Commands

This is a reference to all the menu commands in Acoustica. Please select one of the menu names on the navigation menu to the right for more information of a specific command.

  • File menu
  • Edit menu
  • View menu
  • Sound menu
  • Playlist menu
  • Effects menu
  • Analysis menu
  • Enhancement menu
  • Windows menu


The File Menu

New Recording

Use this to create a new and empty recording window. A dialog box appears to specify the desired recording quality.

Open

Opens an existing recording. A standard windows file open dialog box appears. Please select a file to load. If you can't find your file, try selecting another file format at the bottom of the file open dialog box. Acoustica currently supports loading of the following file formats.

  • Windows wave files with PCM formatted audio (ending .wav).
  • Raw PCM format (ending .pcm)
  • Sun audio files, linear or µ-law compressed (ending .au)

Save

Saves the recording in the active window. If a new recording is being edited you have to enter a new file name, see below.

Save As

Saves the recording in the active window under a new name. A standard windows file save dialog box appears. Please enter a new file name and select the file type (Microsoft Wave or Raw PCM, etc.).

  • Windows wave files with PCM formatted audio (ending .wav).
  • Raw PCM format (ending .pcm)
  • Sun audio files, linear format (ending .au)

Exit

Exits Acoustica.


The Edit Menu

Use Window Clipboard

Check this for clipboard compatibility with other applications. Unchecking this menu item results in faster editing and less memory usage.

Undo

The last performed action on the recording can always we reversed using the undo function.

Cut

Removes the marked section from the recording and moves it to the clipboard.

Copy

Copies the marked section to the clipboard.

Paste Insert

Inserts the contents of the clipboard at the beginning of the marked section.

Paste Overwrite

Overwrites the marked section with the content of the clipboard.

Paste Mix

Mixes the contents of the clipboard with the marked section of the recording.

Mute

Mutes the marked section.

Delete

Deletes the marked section.

Crop

Deletes everything but the marked section.

Channel Mixer

With the channel mixer tool you can adjust the stereo image of your recording. You can select the level of the both input channels to be output to both the left and right output. An additional option to invert the channel input allows effects like a simple vocal remover and similar.

Volume

  • Normalize
    To ensure a constants output level of all your audio material you should use this function. After selecting your desired maximum peak level output, Acoustica searches the marked section for the loudest peaks and changes the volume of the section according selected maximum.
  • Adjust Volume
    Changes the volume of the marked area.
  • Draw Freehand Volume Curve
    Use this feature to draw your own volume envelopes.
  • Fades
    A couple of predefined fade envelopes can be applied by using this feature.

Mark

  • All
    Marks the whole recording.
  • Previous
    Marks the previously marked section.
  • View
    Marks the viewed section.
  • Manually Defined
    You can enter the exact time of the begin and end marker points using this feature. Enter the hour, minute, second and millisecond of both marker points.

Expand to Zero Crossings

Two avoid annoying noise when splicing different parts of your audio material, use this function before cutting, copying, pasting or similar functions. Acoustica the searches out zero crossings in the recorded material and expands the marked section such that both the beginning and end of the marked section are located at zero crossings.

Copy to Playlist

Copies the marked section to the playlist. Use the playlist for fast editing of large files rather than cut, copy and paste.

Snap Settings

When marking a section Acoustica can snap to labels or to beats. You can turn snapping on or off by selecting this command.

Releated features: Defining the tempo of a recording


The View Menu

View All

Views the whole recording.

View Marked Section

Views only the marked section.

View Previous

View the last viewed section.

Goto

The goto command allows you to change the viewed section so that it includes one of the following element.
  • Start of Recording
  • Last part of Recording
  • Markers Begin
  • Markers End
  • Next Label
  • Previous Label

Playlist

Use this command to show the playlist associated with the active window.

Playback Meters

The playback meters shows the sound level during playback. This tool is especially useful while testing out the realtime effects to ensure that the resulting level is correct. Use this command to show or hide the playback meters.


The Playlist Menu

Show Playlist

Use this menu command to show or hide the playlist assosiated with the recording. See Using the Playlist for a more detailed reference on the playlist.

Play

Plays the whole content of playlist.

Convert Playlist to Recording

When you are satisfied with the results of the playlist editing, use this feature to convert the playlist into an ordinary recording. Note that the playlist is only saved along with your recording when storing your files as .wav files, and you should therefor always convert playlists to recordings before saving in another format than .wav.


The Sound Menu

Start Recording

This command opens a recording console window.

Adjust your input level using the level meters and start recording by pressing the Record button.

Start Playing

Starts playback of the marked section.

Stop

Stops playback or the processing of the recording.

Device Settings

Use this command to select a recording or playback device if more devices are present.

Define Tempo

You can manually enter the number of beats per second in the recording or let Acoustica calculate a the tempo based on the marked section. Mark a section where start and end point of the markers are directly on a beat, enter the number of beats marked and press Base on Markers.

Convert Sample Format

Lets you convert your recordings to other sampling rates or bit depths. Check out Converting Sample Formats for more information about sample format conversion.


The Effects Menu

Dynamic Processor

A dynamic processor is used to alter the dynamic properties of the recording. To understand how a dynamic processor works, imagine a sound engineer trying to maintain an as steady volume level as possible while doing a recording. When the input level increases he pulls down the volume slider, and he pulls it up when the input level decreases. A dynamic processor does the same thing automatically, only with a very much faster reaction time.

Settings

  • A editable curve containing the output level as a function of the input level. By altering this curve you can change the dynamic characteristics of the recording to fit your needs.
  • The attack time, the reaction time when the input level of the source material increases.
  • The decay time, the reaction time when the input level of the source material decreases.

Delay

Use this effect to add a simple echo effects to the recording.

Settings

  • Delay time
  • Feedback amount
  • Effect mix
To add one simple delay, reduce the feedback amount to zero. By raising the feedback a series of echoes will be audible.

Reverb

The reverb simulates the reverberation effect of some natural surroundings.

Settings

  • The algorithm which is used to select among some predefined surroundings
  • Reverberation time
  • Reverb level
  • Dry out level

Flanger

Flanger is an effect that would occur when hearing two loudspeakers playing exactly the same recording, but with a slight time delay. Changing the time delay slowly creates the profound flanger effect.

Settings

  • Modulation frequency, which is how fast the time delay changes.
  • Modulation depth, which is how much the time delay changes.
  • Effect mix.

Chorus

The chorus effect simulates effect of several voices with slightly different vibratos. This effect can be used to add warmth to the recording or to simulate more voices singing or playing unison.

Settings

  • Modulation frequency, speed of the vibratos.
  • Modulation depth, vibrato depth.
  • Effect mix.

Reverse

Simulates backward playing.

Harmonizer

The harmonizer allows you to transpose and mix up to four voices in one operation. The transpose algorithm does not change the length of the recording. The chipmunk effect that occurs when transposing voice or musical instruments may be reduced by selecting Preserve formants.

Voice Settings

  • Transpose interval
  • Fine tune, measured in cents which are 1/100 of a semitone.
  • Volume
  • Panning

Global Settings
  • Formant preservation on or off

Transpose

The transpose function can transpose the recorded material with or without changing the length. Note that the preview function always uses transpose without change in length.

Global Settings

  • Transpose interval
  • Fine tune, measured in cents which are 1/100 of a semitone.
  • Apply lowpass filter. Use this to avoid distortions (aliasing) occuring when transposing large intervals.
  • Maintain duration

Time Correction

The time correction feature allows you to change the length of the recording without changing the perceived pitch. It is not physically possible to do this without some sort of distortion and the quality of these time correction algorithms lies in their ability to reduce the audible distortions. Acoustica uses a method (PSOLA) that works well on monophonic signals like speech and single musical instruments. However, some distortions occur on high expansion or compression rates like in all other time correction software.

The inner settings of the algorithm are affected by choosing an optimization from one of the following, speech, music, monophonic signals, percussive interments only.

Settings

  • Scale factor, new length or new tempo (either one affects the compression or expansion ratio)
  • Optimization


The Analysis Menu

You can find different forms of representing the recorded material other than the standard wave display under this menu. Acoustica features the following representations of sounds.
  • Spectrogram
    •
  • Spectrum Analyzer
    •
  • Wavelet Transform
    •


The Enhancement Menu

Interpolate

The Interpolate command subsitutes the selected section (if sufficiently small) with a linearly predicted wave form. This command is useful when removing clicks and pops from recording manually.

Click Filter

The click filter removes clicks and pops as found on LP and 78 RMP- recordings. See Noise Reduction in Acoustica for more information.

Noise Analysis

If a section of the recording contains noise only, you can generate a noise profile automatically using this menu command.

Noise Reduction

Noise reduction can be performed either by using the results from the noise analysis or by drawing your own noise profile by selecting the corresponding from the submenu.

Remove DC Offset

Uncalibrated recording equipment may result in a signal that is not centered around zero as should be. This command applies a high pass filter with a subsonic cutoff frequency to eliminate this problem.

High frequency rebirth

Dull and lifeless recordings may be a result of loss of high frequency content. By using the High frequency rebirth feature, you can add artificially created harmonics to liven up the recording. Note that these are merely synthetic harmonics based on the lowfrequent content of the recording, so this feature can only be used give our ears the impression of stronger harmonics. Lost high hats or similar will most likely not be reconstructed using the feature.

Settings

  • High frequency cutoff, which specifies from what frequency and above Acoustica should try to synthesize harmonics.
  • Depth

Equalizer

Acoustica features a powerful six band parametric equalizer. Unlike a graphic equalizer, a parametric equalizer allows the user to select the center frequency of the bands. The equalizer in Acoustica also has variable bandwidths on each band.

The center frequency is specified in hertz. Sound characters of the different frequencies are best discovered through experimentation. The bandwidth may be specified in octave bands. One octave band equals the frequency range of one octave on the piano keyboard. The bandwidth is the same parameter as the Q-factor found in some analog equipment. A higher Q-factor represents a narrower bandwidth.

The lower part of the equalizer dialog box is used to display the filter response curve (gain vs. frequency). The filter response curve is calculated mathematically and is updated as the parameters are altered.

Equalizer parameters may be stored for later use. This is done by pressing the Save... button. A file dialog box will be displayed. When a file name is specified and saved, reload the setting by pressing the Load... button and specify the correct file name. The default settings of the equalizer may be set by pressing the Reset button.

Band Settings

  • Center frequency
  • Gain
  • Bandwidth

Global Settings
  • Overall gain
  • Phase linearity on or off. With phase linearity on, Acoustica uses a two pass algorithm two remove any phase distortions. The quality is better with phase linearity on, but the processing time is doubled. The real time preview only supports phase linearity off.


The Windows Menu

The Window menu

Arranging Windows

You can organize your different windows within the Acoustica window with one of the following commands.

Cascade, creates a stack of overlapping windows.
Tile, aligns the windows in a non overlapping manner.
Strip, horizontally aligns the windows in a non overlapping manner.

Arrange Icons

Arranges the icons in the Acoustica window.

Close All

Closes all windows.


The Toolbar

 | Creates a new recording window with a specified sample format.
 | Opens an existing audio recording.
 | Saves the content of the active recording window.
---
 | Removes the selected area and copies it to the clipboard.
 | Copies the selected area to the clipboard.
 | Inserts the contents of the clipboard at the beginning of the selected area.
---
 | Opens the recording dialog.
 | Play the marked section.
 | Play the whole content of the playlist.
 | Stop the playback.
---
 | Enter mark mode.
 | Enter zoom mode.
 | Selects or views whole recording depending on the state of the zoom/mark mode button.
 | Selects or views the last section depending on the state of the zoom/mark mode button.
---
 | Activates only left channel
 | Activates both channels.
 | Activates only right channel.
---
 | Undoes last operation.


Keyboard Shortcuts

Editing

Shortcut Key | Action
Ctrl+X | Copy marked section to clipboard before deleting it.
Ctrl+C | Copy marked section to clipboard
Ctrl+V | Paste from marked clipboard
Ctrl+Delete | Delete marked section
Ctrl+M | Mute marked section
Alt+BackSpace | Undo last operation

Recording and Playling

Shortcut Key | Action
Ctrl+R | Record
Space | Play
Shifht+Space | Play whole content of the playlist

Dealing with Files

Shortcut Key | Action
Ctrl+N | New
Ctrl+O | Open
Ctrl+S | Save

Marking, Viewing and Labeling

Shortcut Key | Action
Ctrl+A | Mark whole recording
Ctrl+BackSpace | Mark the last marked selection
Shift+M | View output level meters
Shift+A | View whole recording
Ctrl+D | Manually define marked section
Ctrl+Z | Expand section to nearest zero crossings
Ctrl+End | Set rightmost marker of marked section
Ctrl+L | Add a label at the mouse cursor position
Shift+BackSpace | View last viewed section
Shift+Home | Goto beginning of recording
Shift+End | Goto last part of recording
Shift+Minus | Goto previous label
Shift+Plus | Goto next label
Shift+PageUp | Goto beginning marker of marked section
Shift+PageDown | Goto ending marker of marked section

Playlist

Shortcut Key | Action
Ctrl+P | Add marked section as item in the playlist
Shift+P | Show playlist assosiated with the recording

Window Arrangement

Shortcut Key | Action
Shift+C | Cascade recording windows
Shift+T | Tile recording windows
Shift+S | Strip recording windows

Help

Shortcut Key | Action
F1 | Show help contents